<?php declare(strict_types=1);

namespace App\Captcha\Contracts;

use App\Captcha\Dto\Coordinators;

interface Image
{
    public function __construct(int $width, int $height);
    public function getWidth(): int;
    public function getHeight(): int;
    public function insertBackground(string $pathToFile): self;
    public function addText(string $text, int $x, int $y, float $size, float $angle, string $hexColor, string $fontName): Coordinators;
    public function addLine(int $x1, int $y1, int $x2, int $y2, string $hexColor): self;
    public function encode(): string;
    public function __destruct();
}
